Bug 1638949 - SELinux is preventing strongswan from using the 'signal' accesses on a process.
Summary: SELinux is preventing strongswan from using the 'signal' accesses on a process.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c8b9d5e25d5bf087cfeb02b89bb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-13 09:58 UTC by Mai Ling
Modified: 2018-11-07 02:42 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.14.2-41.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-07 02:42:07 UTC


Attachments (Terms of Use)

Description Mai Ling 2018-10-13 09:58:29 UTC
Description of problem:
"nmcli con up vpn" after running "ausearch -c 'sh' --raw | audit2allow -M my-sh" and "semodule -X 300 -i my-sh.pp"  in issue 1638948
SELinux is preventing strongswan from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that strongswan should be allowed signal access on processes labeled ipsec_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'strongswan' --raw | audit2allow -M my-strongswan
# semodule -X 300 -i my-strongswan.pp

Additional Information:
Source Context                system_u:system_r:ipsec_mgmt_t:s0
Target Context                system_u:system_r:ipsec_t:s0
Target Objects                Unknown [ process ]
Source                        strongswan
Source Path                   strongswan
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-37.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.18.13-300.fc29.x86_64 #1 SMP Wed
                              Oct 10 17:22:50 UTC 2018 x86_64 x86_64
Alert Count                   2
First Seen                    2018-10-13 12:52:08 EEST
Last Seen                     2018-10-13 12:54:06 EEST
Local ID                      37c54da6-3821-408b-848e-0ad868ae8a5d

Raw Audit Messages
type=AVC msg=audit(1539424446.285:659): avc:  denied  { signal } for  pid=12787 comm="strongswan" scontext=system_u:system_r:ipsec_mgmt_t:s0 tcontext=system_u:system_r:ipsec_t:s0 tclass=process permissive=0


Hash: strongswan,ipsec_mgmt_t,ipsec_t,process,signal

Version-Release number of selected component:
selinux-policy-3.14.2-37.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.6
hashmarkername: setroubleshoot
kernel:         4.18.13-300.fc29.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2018-10-28 19:09:15 UTC
commit 88c91a1aff835234f26bd0696d2b45a53bd6a66e (HEAD -> rawhide, origin/rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Sun Oct 28 20:08:19 2018 +0100

    Allow ipsec_mgmt_t process to send signals other than SIGKILL, SIGSTOP, or SIGCHLD to the ipsec_t domains BZ(1638949)

Comment 2 Fedora Update System 2018-11-04 10:07:52 UTC
selinux-policy-3.14.2-41.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-506e97bb9b

Comment 3 Fedora Update System 2018-11-05 04:20:09 UTC
selinux-policy-3.14.2-41.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-506e97bb9b

Comment 4 Fedora Update System 2018-11-07 02:42:07 UTC
selinux-policy-3.14.2-41.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.